// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-07-31 14:52
package define

import "io/fs"

// FileInfo 文件信息
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 14:53 2023/7/31
type FileInfo struct {
	IsDir        bool        `json:"is_dir"`        // 是否目录
	Name         string      `json:"name"`          // 文件名
	AbsolutePath string      `json:"absolute_path"` // 绝对路径
	Format       string      `json:"format"`        // 文件格式
	Size         int64       `json:"size"`          // 文件大小
	ModifyTime   int64       `json:"modify_time"`   // 修改时间, 秒级时间戳
	Mode         fs.FileMode `json:"mode"`          // 文件权限
	FileList     []*FileInfo `json:"file_list"`     // 递归读取， 且当前文件为目录
}
